Skip to main content
GET
Get all feature flags

Query Parameters

requestParameters
object
optionalFields
string[]

Response

OK

featureKey
string
required

Key used to identify the feature flag

Required string length: 1 - 255
id
integer<int32>
required
read-only

System-generated unique string of integers to identify a feature flag

name
string
required

Name of the feature flag

Required string length: 1 - 100
siteCode
string
required

Unique ID for the project in the Kameleoon app. This field is optional. Include it as a query parameter.

Required string length: 1 - 10
archived
boolean
attributionWindow
integer<int64>

Attribution window

bucketingKey
object

Bucketing key used for the feature flag

createdById
integer<int32>
read-only

Created by ID

dateContentModified
string<date-time>
read-only

Date and time when the feature flag configuration content was last modified

dateCreated
string<date-time>
read-only

Date and time when the feature flag configuration was created

dateModified
string<date-time>
read-only

Date and time when the feature flag configuration was last modified

description
string

Description of the feature

Maximum string length: 5000
environmentConfigurations
object[]

Environment-specific configurations for the feature flag

health
enum<string>
read-only

Health of the feature flag (for temporary ones)

Available options:
HEALTHY,
OUTDATED,
PERMANENT,
STALE
primaryGoalId
integer<int32>

Primary goal of the feature flag

secondaryGoalIds
integer<int32>[]

Secondary goals associated with the feature flag

Secondary goals associated with the feature flag

tags
string[]

List of tags associated with the feature flag. This field is optional. Include it as a query parameter.

List of tags associated with the feature flag. This field is optional. Include it as a query parameter.

teamId
integer<int64>
read-only

Team ID

variables
object[]

Variables associated with the feature flag

variations
object[]

Variations associated with the feature flag